<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('work_group_masters', function (Blueprint $table) {
            $table->dropUnique('work_group_masters_plant_id_operation_number_key');
        });

        // $sql = <<<'SQL'
        // ALTER TABLE work_group_masters
        // DROP INDEX work_group_masters_plant_id_operation_number_key;
        // SQL;

        // DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('work_group_masters', function (Blueprint $table) {
            //
        });
    }
};
